program UzgajivaciJabuka;

{$mode objfpc}{$H+}

uses
  {$IFDEF UNIX}{$IFDEF UseCThreads}
  cthreads,
  {$ENDIF}{$ENDIF}
  Classes
  { you can add units after this };
  var n, i, j: longint;
    max, z: double;
    a, p: array[1..200000] of double;
begin
  readln(n);
  for i:=1 to n do read(a[i], p[i]);
  max:=0;
  for j:=1 to n do
    if p[i]<=p[j] then max:=max+a[j]*(p[i]/100);
  for i:=2 to n do
    begin
      z:=0;
      for j:=1 to n do
        if p[i]<=p[j] then z:=z+a[j]*(p[i]/100);
      if max<z then max:=z;
    end;
  writeln(max: 1:4);
end.